Page MenuHomePhabricator

distribution upgrade for wikitech-static instance
Closed, ResolvedPublic

Description

wikitech-static is precise. should be upgraded to trusty. it shows up in stuff like T55259 where it can't support Apache 2.4 with ECDHE ciphers.

are we going to "do-release-upgrade" here in place or reinstall?

Event Timeline

Dzahn created this task.Mar 31 2015, 4:56 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a subscriber: Dzahn.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2015, 4:56 PM
Dzahn added a comment.Mar 31 2015, 5:45 PM

10:29 < andrewbogott> mutante: regarding wikitech-static, that’s a VM. So I’m sure it would be better to build a fresh one rather than try to upgrade it.
10:31 < mutante> andrewbogott: ok, i made a ticket for it. i don't necessarily see a difference whether it's virtual or not, but more that it's not puppetized obviously

Dzahn added a comment.Mar 31 2015, 6:26 PM

quote from https://wikitech.wikimedia.org/wiki/Wikitech-static

"A (non-puppetized) cron on wikitech-static runs /usr/local/sbin/import-wikitech.sh which copies the files from wikitech and installs them. "

beware of more non-puppetized things that would all have to be found out before reinstalling this

fgiunchedi triaged this task as Normal priority.Apr 1 2015, 10:48 AM
fgiunchedi added a subscriber: fgiunchedi.
Dzahn closed this task as Resolved.Jun 2 2016, 11:29 PM
Dzahn claimed this task.

Meanwhile this was done in T126385 and is on jessie.